Bug 13606 - make -j<num> doesn't run parallel jobs
make -j<num> doesn't run parallel jobs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.9.0rc5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-06 10:42 UTC by Andreas Schneider
Modified: 2018-09-20 07:07 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 and 4.8 (2.02 KB, patch)
2018-09-10 06:16 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-09-06 10:42:30 UTC
'make -j4' doesn't run parallel jobs, only 'make -j' does.
Comment 1 Andreas Schneider 2018-09-10 06:16:35 UTC
Created attachment 14484 [details]
patch for 4.9 and 4.8
Comment 2 Alexander Bokovoy 2018-09-10 07:00:45 UTC
Comment on attachment 14484 [details]
patch for 4.9 and 4.8

LGTM
Comment 3 Andreas Schneider 2018-09-10 07:09:42 UTC
Karolin, please apply the patch to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2018-09-10 07:32:25 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 5 Karolin Seeger 2018-09-20 07:07:15 UTC
Pushed to both branches.
Closing out bug report.

Thanks!